%define	name	xosd
%define	version	2.2.14
%define release	%mkrel 13
%define major	2
%define libname	%mklibname %{name} %major
%define develname %mklibname -d %{name}

Summary:	X On Screen Display, displays XMMS status information
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://www.ignavus.net/%{name}-%{version}.tar.bz2
Source1:	http://ldots.org/xosd-guide/xosd-doc-0.01.tar.bz2
Patch0:		xosd-2.2.14-fix-underquoted-calls.patch
# (anssi) drop requirement on gtk+, it is not actually used when the
# xmms plugin is not build
Patch1:		xosd-drop-gtk+.patch
License:	GPL
Group:		System/Libraries
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	libice-devel
BuildRequires:	libx11-devel
BuildRequires:	libxext-devel
BuildRequires:	libxinerama-devel
URL:		http://www.ignavus.net/software.html

%description
This package contains an programs & plugins to display various things whenever they 
change (volume, track, paused/shuffle/repeat,...) in a TV set's on screen 
display fashion.

%package	tools
Group:		Graphics/Utilities
Summary:	Example applications of the xosd library
Provides:	osd_cat
Obsoletes:	osd_cat

%description	tools
This package contains sample applications for the xosd library that
can be used to display information in a TV set's on screen display
fashion.

%package -n	%{libname}
Group:		System/Libraries
Summary:	Library for displaying information in an OSD

%description -n	%{libname}
This package contains the shared library of xosd, it is requires by programs 
that display it's output in a TV set's on screen display fashion.

%package -n	%{develname}
Group:		Development/C
Summary:	Header files for developing programs using libxosd
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{_lib}xosd2-devel < %{version}-%{release}

%description -n	%{develname}
This package contains the header files you need to develop programs based on 
libxosd that display it's output in a TV set's on screen display fashion.

%prep
%setup -q -a 1
%apply_patches

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete
%multiarch_binaries %{buildroot}%{_bindir}/xosd-config

%files tools
%doc COPYING
%{_bindir}/osd_cat
%{_mandir}/man1/osd_cat.1*
%{_datadir}/%{name}/*png

%files -n %{libname}
%doc COPYING
%{_libdir}/libxosd.so.%{major}*

%files -n %{develname}
%doc COPYING ChangeLog README AUTHORS xosd-doc-0.01/html
%multiarch %{multiarch_bindir}/xosd-config
%{_bindir}/xosd-config
%{_mandir}/man1/xosd-config.1*
%{_libdir}/libxosd.so
%{_includedir}/*.h
%{_datadir}/aclocal/libxosd.m4
%{_mandir}/man3/*


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.2.14-13.mga3
+ Revision: 387282
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Fri Oct 12 2012 fwang <fwang> 2.2.14-12.mga3
+ Revision: 304976
- update file list

* Wed Apr 20 2011 anssi <anssi> 2.2.14-12.mga1
+ Revision: 88952
- drop configure check on unused GTK+ (drop-gtk+.patch)
- add buildrequires on X11 libraries
- remove br on gdk-pixbuf-devel (was needed for xmms plugin only)
- ensure major correctness in file list

  + erwan <erwan>
    - Removing useless stuff (xmms)

  + dmorgan <dmorgan>
    - Remove mdv macros

  + ahmad <ahmad>
    - imported package xosd

